Promods and Beyond the Baltic Sea DLC

Ask questions about the mod here. If useful they will be added to the Q&A / Development updates.
Forum rules
Please do not post any crashes, malfunctions or other issues with the mod in this forum. If you have any issues with the mod, please post them here. This forum is only for questions/feedback towards the team, not for solving crashes.
Post Reply
yozza
Posts: 31
Joined: 08 Aug 2013 11:00
Location: Runcorn, Cheshire United Kingdom

10 Feb 2019 16:09

Hi guys I have not played ETS2 since 1.30.

I am in the process of upgrading my game and mods to the latest version (I think 1.34), but I have 2 questions. Firstly Is the current version of Promods compatible with 1.34 and Secondly witll Promods work without the Beyond the Baltic Sea DLC.

Thanks in advance.

Demichkd
Posts: 1
Joined: 24 Jan 2019 22:54
Donation rank:

10 Feb 2019 16:46

Q.1 No / Q.2 Yes: https://www.promods.net/compat.php

Cheers



Post Reply
  • Information
  • Who is online

    Users browsing this forum: gworf74 and 7 guests